Index: src/superio/smsc/smscsuperio/superio.c
===================================================================
--- src/superio/smsc/smscsuperio/superio.c	(revision 3241)
+++ src/superio/smsc/smscsuperio/superio.c	(working copy)
@@ -56,6 +56,7 @@
 #define LPC47B397	0x6f
 #define A8000		0x77	/* ASUS A8000, a rebranded DME1737(?) */
 #define DME1737		0x78
+#define SCH3112         0x7c
 #define SCH5307		0x81	/* Rebranded LPC47B397(?) */
 
 /* Register defines */
@@ -127,6 +128,7 @@
 	{LPC47B397,{0, 3, 4,  5, -1,  7, -1,  -1,  8,  -1, -1, -1, 10, -1, -1}},
 	{A8000,    {0, 3, 4,  5, -1,  7, -1,  -1, -1,  -1, -1, -1, 10, -1, -1}},
 	{DME1737,  {0, 3, 4,  5, -1,  7, -1,  -1, -1,  -1, -1, -1, 10, -1, -1}},
+        {SCH3112,  {0, 3, 4,  5, -1,  7, -1,  -1, -1,  -1, -1, -1, 10, -1, -1}},
 	{SCH5307,  {0, 3, 4,  5, -1,  7, -1,  -1,  8,  -1, -1, -1, 10, -1, -1}},
 };
 
Index: src/superio/smsc/smscsuperio/smscsuperio_early_serial.c
===================================================================
--- src/superio/smsc/smscsuperio/smscsuperio_early_serial.c	(revision 3241)
+++ src/superio/smsc/smscsuperio/smscsuperio_early_serial.c	(working copy)
@@ -30,7 +30,7 @@
  * Enable the specified serial port.
  *
  * @param dev The device to use.
- * @param dev The I/O base of the serial port (usually 0x3f8/0x2f8).
+ * @param iobase The I/O base of the serial port (usually 0x3f8/0x2f8).
  */
 static inline void smscsuperio_enable_serial(device_t dev, uint16_t iobase)
 {
